// eslint-disable-next-line import/no-cycle
import { Product } from './product';

export class MenuCategory {
  id: string | undefined;
  name: string;
  isActive: boolean;
  isFixture: boolean;
  sortOrder: number;
  products: Product[];
  enabled?: boolean;

  public constructor(init?: Partial<MenuCategory>) {
    this.id = undefined;
    this.name = '';
    this.isActive = true;
    this.isFixture = false;
    this.sortOrder = 0;
    this.products = [];
    Object.assign(this, init);
  }
}
