import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

import { ModifierCategory } from '../../core/modifier-category';

export class ModifierCategoryListDatasource extends DataSource<ModifierCategory> {
  constructor(public data: ModifierCategory[]) {
    super();
  }

  connect(): Observable<ModifierCategory[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
