import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

import { Printer } from '../../core/printer';

export class PrinterListDataSource extends DataSource<Printer> {
  constructor(public data: Printer[]) {
    super();
  }

  connect(): Observable<Printer[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
