import { User } from '../../core/user';

import { Inventory } from './inventory';

export class Kot {
  id: string | undefined;
  code: number;
  date: string;
  user: User;
  inventories: Inventory[];

  public constructor(init?: Partial<Kot>) {
    this.id = undefined;
    this.code = 0;
    this.date = '';
    this.user = new User();
    this.inventories = [];
    Object.assign(this, init);
  }
}
