import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

export class DiscountDataSource extends DataSource<{ name: string; discount: number }> {
  constructor(private data: { name: string; discount: number }[]) {
    super();
  }

  connect(): Observable<{ name: string; discount: number }[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
