import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

import { Tax } from '../../core/tax';

export class TaxListDataSource extends DataSource<Tax> {
  constructor(public data: Tax[]) {
    super();
  }

  connect(): Observable<Tax[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
