import logging

from sqlalchemy import create_engine
from sqlalchemy.orm import sessionmaker

from ..core.config import settings


logging.basicConfig()
logging.getLogger("sqlalchemy.engine").setLevel(settings.LOG_LEVEL)
engine = create_engine(settings.SQLALCHEMY_DATABASE_URI, pool_pre_ping=True, future=True)
SessionFuture = sessionmaker(autoflush=False, bind=engine, future=True)
