from pydantic import BaseModel

from ..models.reporting_level import ReportingLevel
from ..models.voucher_type import VoucherType
from . import to_camel


class SettleOption(BaseModel):
    id_: int
    name: str
    voucher_type: VoucherType
    reporting_level: ReportingLevel
    has_reason: bool
    is_fixture: bool

    class Config:
        anystr_strip_whitespace = True
        alias_generator = to_camel
